# execNotify

Send notification on failure.
Or send an unconditional notification.

## setup

Create a `config.ini` file inside `execNotifyDir/config`.

For the required fields, see `execNotifyDir/config/config.ini.example`

## installation

```shell
sudo make install
```

## usage of execNotify

Add `execNotify` in front of your command to execute.

You can pipe into `execNotify` but **not** from `execNotify`
 as the output gets modified.

### Example

For `ls /home` run `execNotify ls /home`

## usage of notify

Send stdout via mail:

`echo "Hello world!" | notify`

Or with optional subject:

`echo "Hello world!" | notify "someSubject"`

Or without the pipe:

`notify "someSubject" "Hello" "World!" "What's" "up?"`

`notify "someSubject" "Hello World! What's up?"`
